hdcp22_rx: XHdcp22_Rx_Handles Struct Reference

| hdcp22_rx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Rx_Handles Struct Reference
Hdcp22_rx_v2_2

This typedef is used to store handles to function pointers. More...

## Data Fields
XHdcp22_Rx_SetHandler | DdcSetAddressCallback
| Function pointer used to set the DDC register address. More...
void * | DdcSetAddressCallbackRef
| To be passed to callback function. More...
u8 | IsDdcSetAddressCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_SetHandler | DdcSetDataCallback
| Function pointer used to set the DDC register data. More...
void * | DdcSetDataCallbackRef
| To be passed to callback function. More...
u8 | IsDdcSetDataCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_GetHandler | DdcGetDataCallback
| Function pointer used to get the DDC register data. More...
void * | DdcGetDataCallbackRef
| To be passed to callback function. More...
u8 | IsDdcGetDataCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_GetHandler | DdcGetWriteBufferSizeCallback
| Function pointer used to get the DDC write buffer size. More...
void * | DdcGetWriteBufferSizeCallbackRef
| To be passed to callback function. More...
u8 | IsDdcGetWriteBufferSizeCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_GetHandler | DdcGetReadBufferSizeCallback
| Function pointer used to get the DDC read buffer size. More...
void * | DdcGetReadBufferSizeCallbackRef
| To be passed to callback function. More...
u8 | IsDdcGetReadBufferSizeCallbackRefSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_GetHandler | DdcIsWriteBufferEmptyCallback
| Function pointer used to check if the DDC write buffer is empty. More...
void * | DdcIsWriteBufferEmptyCallbackRef
| To be passed to callback function. More...
u8 | IsDdcIsWriteBufferEmptyCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_GetHandler | DdcIsReadBufferEmptyCallback
| Function pointer used to check if the DDC read buffer is empty. More...
void * | DdcIsReadBufferEmptyCallbackRef
| To be passed to callback function. More...
u8 | IsDdcIsReadBufferEmptyCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | DdcClearReadBufferCallback
| Function pointer used to clear the DDC read buffer. More...
void * | DdcClearReadBufferCallbackRef
| To be passed to callback function. More...
u8 | IsDdcClearReadBufferCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | DdcClearWriteBufferCallback
| Function pointer used to clear the DDC write buffer. More...
void * | DdcClearWriteBufferCallbackRef
| To be passed to callback function. More...
u8 | IsDdcClearWriteBufferCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | DdcClearRepeaterReadyCallback
| Function pointer used to set auto clear on the DDC RxStatus READY bit. More...
void * | DdcClearRepeaterReadyCallbackRef
| To be passed to callback function. More...
u8 | IsDdcClearRepeaterReadyCallbackSet
| This flag is set true when the callback has been registered. More...
u8 | IsDdcAllCallbacksSet
| This flag is set true when all the DDC callbacks have been registered. More...
XHdcp22_Rx_RunHandler | AuthenticatedCallback
| Function pointer called when statemachine transitions to authenticated. More...
void * | AuthenticatedCallbackRef
| To be passed to callback function. More...
u8 | IsAuthenticatedCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | UnauthenticatedCallback
| Function pointer called when statemachine transitions to unauthenticated. More...
void * | UnauthenticatedCallbackRef
| To be passed to callback function. More...
u8 | IsUnauthenticatedCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | AuthenticationRequestCallback
| Function pointer called when authentication request message is received. More...
void * | AuthenticationRequestCallbackRef
| To be passed to callback function. More...
u8 | IsAuthenticationRequestCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | StreamManageRequestCallback
| Function pointer called when stream management message is received. More...
void * | StreamManageRequestCallbackRef
| To be passed to callback function. More...
u8 | IsStreamManageRequestCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | TopologyUpdateCallback
| Function pointer called when repeater is ready to for a topology update. More...
void * | TopologyUpdateCallbackRef
| To be passed to callback function. More...
u8 | IsTopologyUpdateCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Rx_RunHandler | EncryptionStatusCallback
| Function pointer called when encryption status has changed. More...
void * | EncryptionStatusCallbackRef
| To be passed to callback function. More...
u8 | IsEncryptionStatusCallbackSet
| This flag is set true when the callback has been registered. More...

## Detailed Description

This typedef is used to store handles to function pointers.

## Field Documentation

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::AuthenticatedCallback

Function pointer called when statemachine transitions to authenticated.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::AuthenticatedCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::AuthenticationRequestCallback

Function pointer called when authentication request message is received.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::AuthenticationRequestCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::DdcClearReadBufferCallback

Function pointer used to clear the DDC read buffer.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcClearReadBufferCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::DdcClearRepeaterReadyCallback

Function pointer used to set auto clear on the DDC RxStatus READY bit.

void* XHdcp22_Rx_Handles::DdcClearRepeaterReadyCallbackRef

To be passed to callback function.

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::DdcClearWriteBufferCallback

Function pointer used to clear the DDC write buffer.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcClearWriteBufferCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_GetHandler XHdcp22_Rx_Handles::DdcGetDataCallback

Function pointer used to get the DDC register data.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcGetDataCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_GetHandler XHdcp22_Rx_Handles::DdcGetReadBufferSizeCallback

Function pointer used to get the DDC read buffer size.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcGetReadBufferSizeCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_GetHandler XHdcp22_Rx_Handles::DdcGetWriteBufferSizeCallback

Function pointer used to get the DDC write buffer size.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcGetWriteBufferSizeCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_GetHandler XHdcp22_Rx_Handles::DdcIsReadBufferEmptyCallback

Function pointer used to check if the DDC read buffer is empty.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcIsReadBufferEmptyCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_GetHandler XHdcp22_Rx_Handles::DdcIsWriteBufferEmptyCallback

Function pointer used to check if the DDC write buffer is empty.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcIsWriteBufferEmptyCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_SetHandler XHdcp22_Rx_Handles::DdcSetAddressCallback

Function pointer used to set the DDC register address.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcSetAddressCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_SetHandler XHdcp22_Rx_Handles::DdcSetDataCallback

Function pointer used to set the DDC register data.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::DdcSetDataCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::EncryptionStatusCallback

Function pointer called when encryption status has changed.

Referenced by XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::EncryptionStatusCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsAuthenticatedCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsAuthenticationRequestCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcAllCallbacksSet

This flag is set true when all the DDC callbacks have been registered.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Enable(), XHdcp22Rx_Reset(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcClearReadBufferCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcClearRepeaterReadyCallbackSet

This flag is set true when the callback has been registered.

u8 XHdcp22_Rx_Handles::IsDdcClearWriteBufferCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcGetDataCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcGetReadBufferSizeCallbackRefSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcGetWriteBufferSizeCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcIsReadBufferEmptyCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcIsWriteBufferEmptyCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcSetAddressCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsDdcSetDataCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsEncryptionStatusCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsStreamManageRequestCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsTopologyUpdateCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

u8 XHdcp22_Rx_Handles::IsUnauthenticatedCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Rx_Reset(), and XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::StreamManageRequestCallback

Function pointer called when stream management message is received.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::StreamManageRequestCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::TopologyUpdateCallback

Function pointer called when repeater is ready to for a topology update.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::TopologyUpdateCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_SetCallback().

XHdcp22_Rx_RunHandler XHdcp22_Rx_Handles::UnauthenticatedCallback

Function pointer called when statemachine transitions to unauthenticated.

Referenced by XHdcp22Rx_Reset(), and XHdcp22Rx_SetCallback().

void* XHdcp22_Rx_Handles::UnauthenticatedCallbackRef

To be passed to callback function.

Referenced by XHdcp22Rx_Reset(), and XHdcp22Rx_SetCallback().